//Coded by rooicol :)

//mods by Another Brian
// sounds only active when chart is active
// text indication that indicator is attached to chart

#property indicator_chart_window

//For finding the active window - use this to turn tick sound on and off
#import "user32.dll"
int  GetParent(int hWnd);
int  SendMessageA(int hWnd,int Msg,int wParam,int lParam);
#import
#define WM_MDIGETACTIVE 0x0229

//tick sound text - active or not
color textcolor = Red;
color textcolornotactive = Black;
bool TickSoundOn = true;



int deinit(){

	ObjectDelete("MarketPace");

}

int start()
  {
  
  	if(TickSoundOn)ticksound();//sound a tick sound if the chart is active
  
  
   return(0);
  }
  
  
  
  void ticksound() {//play the tick sound if the chart is active

	if(ObjectFind("MarketPace") != 0) {
		ObjectCreate("MarketPace", OBJ_LABEL, 0, 0, 0);
		ObjectSetText("MarketPace", "Tick Sound ACTIVE" , 12, "Calibri", textcolor);
		ObjectSet("MarketPace", OBJPROP_CORNER, 1);
		ObjectSet("MarketPace", OBJPROP_BACK, false);
		ObjectSet("MarketPace", OBJPROP_XDISTANCE, 10);//250
		ObjectSet("MarketPace", OBJPROP_YDISTANCE, 10);//3
	}

	if(!activechart()) { //show a message on the chart, is it active or not?
		ObjectSetText("MarketPace", "Tick Sound NOT ACTIVE" , 8, "Calibri", textcolornotactive);
	} else {
		ObjectSetText("MarketPace", "Tick Sound ACTIVE" , 12, "Calibri", textcolor);
	}

	double LastBid = GlobalVariableGet(Symbol()+"LastBidMarketPaceGV")/Point;
	double CurrentBid = Bid/Point;
	double Change = NormalizeDouble((CurrentBid-LastBid),0);

	if(Change!=0) {
		string vol;
		if(Change == 1) vol = "+1";
		if(Change == 2) vol = "+2";
		if(Change == 3) vol = "+3";
		if(Change == 4) vol = "+4";
		if(Change == 5) vol = "+5";
		if(Change == 6) vol = "+6";
		if(Change == 7) vol = "+7";
		if(Change == 8) vol = "+8";
		if(Change == 9) vol = "+9";
		if(Change >= 10) vol = "+10";

		if(Change == -1) vol = "-1";
		if(Change == -2) vol = "-2";
		if(Change == -3) vol = "-3";
		if(Change == -4) vol = "-4";
		if(Change == -5) vol = "-5";
		if(Change == -6) vol = "-6";
		if(Change == -7) vol = "-7";
		if(Change == -8) vol = "-8";
		if(Change == -9) vol = "-9";
		if(Change <= -10) vol = "-10";

		GlobalVariableSet(Symbol()+"LastBidMarketPaceGV", Bid);
		if(activechart()==1) {
			string Sound = "Market Pace/Tick"+vol+".wav";
			PlaySound(Sound);
		}
	}
}

int activechart() {//is this chart active? need for tick sound
	int Parent = GetParent(GetParent(WindowHandle(Symbol(),Period())));
	int MyWND = GetParent(WindowHandle(Symbol(),Period()));
	int ActiveMDI = SendMessageA(Parent, WM_MDIGETACTIVE, 0, 0);
	if(ActiveMDI == MyWND ) {
		return(1);
	} else {
		return(0);
	}
	return(0);
}